SND_CTL_ADD_VMASTER_(9)

NAME
snd_ctl_add_vmaster_hook - Add a hook to a vmaster control

SYNOPSIS

int snd_ctl_add_vmaster_hook(struct snd_kcontrol * kcontrol, void (*hook) (void *private_data, int), void * private_data);

ARGUMENTS

kcontrol
    vmaster kctl element

hook
    the hook function

private_data
    the private_data pointer to be saved

DESCRIPTION

Adds the given hook to the vmaster control element so that it's called at each time when the value is changed.

RETURN

Zero.

COPYRIGHT